## org.biojava.bio.seq
Class Feature.ByLocationComparator

    java.lang.Object
      org.biojava.bio.seq.Feature.ByLocationComparator

All Implemented Interfaces:
  Comparator

Enclosing interface:
  Feature

    public static final class Feature.ByLocationComparator

extends Object
implements Comparator

`ByLocationComparator` compares `Feature`s by the minimum base position of their `Location`.

Since:
  1.2
Author:
  Keith James

Constructor Summary
`Feature.ByLocationComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### Feature.ByLocationComparator

    public Feature.ByLocationComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`